io.agora.rtc

## Class AudioVolumeInfo

- java.lang.Object
- - io.agora.rtc.AudioVolumeInfo

-     public class AudioVolumeInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `userId`
    `private int` | `vad`
    `private double` | `voicePitch`
    `private int` | `volume`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioVolumeInfo()`
    `AudioVolumeInfo(java.lang.String userId, int volume, int vad, double voicePitch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getUserId()`
    `int` | `getVad()`
    `double` | `getVoicePitch()`
    `int` | `getVolume()`
    `void` | `setUserId(java.lang.String userId)`
    `void` | `setVad(int vad)`
    `void` | `setVoicePitch(double voicePitch)`
    `void` | `setVolume(int volume)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### userId

          private java.lang.String userId

    - #### volume

          private int volume

    - #### vad

          private int vad

    - #### voicePitch

          private double voicePitch

  - ### Constructor Detail

    - #### AudioVolumeInfo

          public AudioVolumeInfo()

    - #### AudioVolumeInfo

          public AudioVolumeInfo(java.lang.String userId,
                                 int volume,
                                 int vad,
                                 double voicePitch)

  - ### Method Detail

    - #### getUserId

          public java.lang.String getUserId()

    - #### setUserId

          public void setUserId(java.lang.String userId)

    - #### getVolume

          public int getVolume()

    - #### setVolume

          public void setVolume(int volume)

    - #### getVad

          public int getVad()

    - #### setVad

          public void setVad(int vad)

    - #### getVoicePitch

          public double getVoicePitch()

    - #### setVoicePitch

          public void setVoicePitch(double voicePitch)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`